MagicWP Docs
WordPress

Set a WordPress user's role

POST
/v1/sites/{site_id}/wp/users/{wp_user_id}/role

Permission: wp.users

Authorization

apiToken
headerAuthorizationBearer <token>

An API token (mwp_…) from Settings → API tokens. Only accepted on this host.

Path Parameters

site_id*Site Id
Formatuuid
wp_user_id*Wp User Id

Request Body

application/json
  1. body
role*Role
Match^(subscriber|contributor|author|editor|administrator)$

Response Body

Successful Response

application/json
  1. response
success*boolean
data*

The result; on an error, details such as code and permission.

message*string
status_code*integer
timestamp*string
Formatdate-time
meta?|null
curl -X POST "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/wp/users/0/role" \  -H "Content-Type: application/json" \  -d '{    "role": "string"  }'
{  "message": "string",  "status_code": 0,  "timestamp": "2019-08-24T14:15:22Z",  "meta": {},  "success": true,  "data": {    "wp_user_id": 0,    "role": "string"  }}